## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyDoc

Field Summary
`int` | `CLASS`
`int` | `INTERFACE`
`String` | `commentText`
`int` | `definitionType`
`String` | `firstSentenceCommentText`
`List` | `links`
`String` | `name`
`String` | `rawCommentText`

Constructor Summary
`SimpleGroovyDoc(String name, List links)`
`SimpleGroovyDoc(String name)`

Method Summary
`String` | `commentText()`
`int` | `compareTo(Object that)`
`String` | `firstSentenceCommentText()`
`String` | `getDocUrl(String type)`
`String` | `getRawCommentText()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`String` | `name()`
`String` | `replaceAllTags(String self, String regex, String s1, String s2)`
`void` | `setAsInterfaceDefinition()`
`void` | `setRawCommentText(String rawCommentText)`
`String` | `toString()`

Constructor Detail

### SimpleGroovyDoc

    public SimpleGroovyDoc(String name, List links)

### SimpleGroovyDoc

    public SimpleGroovyDoc(String name)

Method Detail

### commentText

    public String commentText()

### compareTo

    public int compareTo(Object that)

### firstSentenceCommentText

    public String firstSentenceCommentText()

### getDocUrl

    public String getDocUrl(String type)

### getRawCommentText

    public String getRawCommentText()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isField

    public boolean isField()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### name

    public String name()

### replaceAllTags

    public String replaceAllTags(String self, String regex, String s1, String s2)

### setAsInterfaceDefinition

    public void setAsInterfaceDefinition()

### setRawCommentText

    public void setRawCommentText(String rawCommentText)

### toString

    public String toString()